msh preprocessing error

Questions and remarks about Code_Saturne usage
Forum rules
Please read the forum usage recommendations before posting.
Post Reply
roberto.bernetti
Posts: 23
Joined: Tue Apr 16, 2019 10:03 pm

msh preprocessing error

Post by roberto.bernetti » Tue Apr 16, 2019 10:18 pm

Hi
I'm try to run my first simulation in code_saturne.
I prepared a simple mesh with Gmsh, then trying to use the preprocessor to import the mesh.
this is the log file I got:

Code: Select all

  .------------------------------.
  |                              |
  |   Code_Saturne Preprocessor  |
  |                              |
  `------------------------------'

  code_saturne version 5.0.9   (built 09/26/18 18:45:31)

  CGNS 3.1.4 file format supportThe description of point <2> was expected in the form "label x y z".

  MED 3.2.0 (HDF5 1.8.12) file format support
  Reading of compressed files ('.gz') with Zlib 1.2.8
  ........
  
  Gmsh format version:     4.1
  Size given for real numbers: 8


Error in preprocessor execution
===============================

../../../../src/code_saturne-5.0.9/preprocessor/pre-post/ecs_pre_gmsh.c:346: Fatal error.

Error decoding line 31 of file
"C:......Gmsh\NaturalConvection.msh" :
The description of point <2> was expected in the form "label x y z".
I appreciate any hint.
Regards
Roberto
Saluti
Roberto

Yvan Fournier
Posts: 2688
Joined: Mon Feb 20, 2012 3:25 pm

Re: msh preprocessing error

Post by Yvan Fournier » Wed Apr 17, 2019 1:00 pm

Hello,

Which version of Gmsh was the file exported from ? The Gmsh file format ha changed recently, so you may need either to use a more recent version of Code_Saturne (in you case, compiling it from the GitHub branch, as 5.0.10 is not released yet, but the updates for Gmsh are ready), or export to Gmsh v2 format.

Best regards,

Yvan

roberto.bernetti
Posts: 23
Joined: Tue Apr 16, 2019 10:03 pm

Re: msh preprocessing error

Post by roberto.bernetti » Wed Apr 17, 2019 1:41 pm

Hello,

Which version of Gmsh was the file exported from ?.....
the last one 4.2.3.
I'll try your hint, to use v2 format.
Please do you know the version of Gmsh compatible with code_saturne 5.0?
Saluti
Roberto

Yvan Fournier
Posts: 2688
Joined: Mon Feb 20, 2012 3:25 pm

Re: msh preprocessing error

Post by Yvan Fournier » Thu Apr 18, 2019 10:25 am

Hello,

The version compatibility is explained in my previous post. Basically, force Gmsh output to V2 format for all releases of Code_Saturne older than last week (there was an initial update a few months ago bug Gmsh checnged their format again from 4.0 to 4.1, so you will only get compatibility with that compiling Code_Saturne from GitHub branches (master, v6.0, v5.3, v5.0). With downloaded .tar.gz (tarballs), you will only get v2 format.

Regards,

Yvan

roberto.bernetti
Posts: 23
Joined: Tue Apr 16, 2019 10:03 pm

Re: msh preprocessing error

Post by roberto.bernetti » Thu Apr 18, 2019 4:07 pm

Yvan Fournier wrote:
Thu Apr 18, 2019 10:25 am
Hello,

The version compatibility is explained in my previous post. Basically, force Gmsh output to V2 format....
Thank you it worked forcing to Version 2
Saluti
Roberto

Post Reply